Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.puppycrawl.tools.checkstyle.checks.j2ee
Class LocalHomeInterfaceMethodChecker

    java.lang.Object
      com.puppycrawl.tools.checkstyle.checks.j2ee.MethodChecker
          com.puppycrawl.tools.checkstyle.checks.j2ee.HomeInterfaceMethodChecker
              com.puppycrawl.tools.checkstyle.checks.j2ee.LocalHomeInterfaceMethodChecker

    public class LocalHomeInterfaceMethodChecker

extends HomeInterfaceMethodChecker

Checks the local home interface requirements:

- every method must not throw the `java.rmi.RemoteException`

Reference: Enterprise JavaBeansTM Specification,Version 2.0, section 9.6.2.

Author:
  Rick Giles

Constructor Summary
`LocalHomeInterfaceMethodChecker(LocalHomeInterfaceCheck aCheck)` Constructs a method checker for a local home interface check.

Method Summary
`void` | `checkMethod(DetailAST aMethodAST)` Checks whether a method satisfies component requirements.

Methods inherited from class com.puppycrawl.tools.checkstyle.checks.j2ee.HomeInterfaceMethodChecker
`checkCreateMethod`

Methods inherited from class com.puppycrawl.tools.checkstyle.checks.j2ee.MethodChecker
`checkMethod, checkMethods, checkNotThrows, checkThrows, getCheck, log, logName`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### LocalHomeInterfaceMethodChecker

    public LocalHomeInterfaceMethodChecker(LocalHomeInterfaceCheck aCheck)

  Constructs a method checker for a local home interface check.

  Parameters:
    `aCheck` - the local home interface check.

Method Detail

### checkMethod

    public void checkMethod(DetailAST aMethodAST)

  Checks whether a method satisfies component requirements.

  Overrides:
    `checkMethod` in class `HomeInterfaceMethodChecker`
  Parameters:
    `aMethodAST` - the AST for the method definition.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Back to the Checkstyle Home Page
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD